<Module name="files">

        <View name="onEnter">

                    <ViewPart part_cls="GtkBox" node_h="True">

                        <ViewPart part_cls="GtkNoteBook">
                            <ViewPart select="/data/*/[!Preload]/[!Run]" part_cls="GtkNoteBookPage" node_text="editors/files/main"/>
                        </ViewPart>
                    </ViewPart>
                    <ViewRedraw/>

        </View>



    <View name="main">

            <ViewSelect>
                <Load text="__etc/gtk_models/box_paned3.xml"/>
            </ViewSelect>

            <ViewPart part="paned3">

                <ViewPart part="left">
                    <ViewSelect>
                        <Load text="__etc/gtk_models/tree_file.xml"/>
                    </ViewSelect>
                    <ViewPart part="tree_element" node_text="editors/files/select_child"/>
                </ViewPart>
                <ViewPart part="middle">
                      <ViewCall text="data/main"/>
                </ViewPart>
                <ViewPart part="right">
                      <ViewCall text="editors/files/data_bar"/>
                </ViewPart>
            </ViewPart>

    </View>


    <View name="data_bar">
          <ViewSelect>
                <Load text="__etc/gtk_models/infos.xml"/>
            </ViewSelect>
    </View>


    <View name="data_bar2">
        <ViewPart part_cls="GtkSearch" part="search_node" node_part="search_result" node_text="data/node_button"/>

        <ViewPart part_cls="GtkBox" node_h="True" part="toolbar">
            <ViewPart part_cls="GtkButton" node_text="help" node_positionX="start">
                <AddEvent name="clicked" text="editors/files/infos_clicked"/>
            </ViewPart>
            <ViewPart part_cls="GtkButton" node_text="props" node_positionX="start">
                <AddEvent name="clicked" text="editors/files/infos_clicked"/>
            </ViewPart>
        </ViewPart>
        <ViewPart part_cls="GtkGrid" node_name="search_result" node_sx="3"/>
    </View>

    <View name="select_child">


        <ViewPart part="search_node"/>
        <ViewPart part="toolbar">
            <ViewClear/>
            <ViewPart part_cls="GtkButton" node_text="help" node_position="start">
                <AddEvent name="clicked" text="editors/files/infos_clicked"/>
            </ViewPart>
            <ViewPart part_cls="GtkButton" node_text="props" node_position="start">
                <AddEvent name="clicked" text="editors/files/props_clicked"/>
            </ViewPart>
            <ViewRedraw/>
        </ViewPart>
        <ViewCall text="editors/files/child_clicked"/>
        <ViewCall text="editors/files/props_clicked"/>
        <ViewCallX text="editors/files/infos_clicked"/>

    </View>



    <View name="child_clicked">
            <ViewPart part="middle">
                <ViewClear/>
                <ViewCall text="data/main"/>
                <ViewRedraw/>
            </ViewPart>
    </View>

    <View name="props_clicked">
            <ViewPart part="infos_data">
                <ViewClear/>
                <ViewPart part_cls="GtkNodeProperties"/>
                <ViewRedraw/>
            </ViewPart>
    </View>
    <View name="infos_clicked">
            <ViewPart part="infos_data">
                <ViewClear/>
                <ViewPart part_cls="GtkNodeHelp"/>
                <ViewRedraw/>
            </ViewPart>
    </View>
</Module>



